Bug 1062789 - Set quoting to enabled for newly created script server resources
Summary: Set quoting to enabled for newly created script server resources
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: Operations
Version: JON 3.2.1
Hardware: All
OS: All
unspecified
medium
Target Milestone: ER04
: JON 3.3.0
Assignee: Thomas Segismont
QA Contact: Sunil Kondkar
URL:
Whiteboard:
Depends On: 1020066
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-08 00:45 UTC by Larry O'Leary
Modified: 2014-12-11 13:59 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-11 13:59:19 UTC
Type: Bug


Attachments (Terms of Use)

Description Larry O'Leary 2014-02-08 00:45:04 UTC
Bug 1020066 introduced quoting and escaping of arguments passed to the execute operation of a script server resource. 

The implementation sets quoting to disabled by default in order preserve the legacy behavior.

However, we should set this to true by default for any newly created resources. This is because all supported platforms support quoting of command-line arguments and users just expect quoting to work.

The legacy behavior provides no purpose outside of custom script implementations that users may have implemented to workaround this deficiency. For those legacy resources, it makes sense that we leave things as they are. However, for any new resources, we should start doing this the right way. 

As this will be a change in default behavior this change should only be made at a minor or major release with proper documentation in the release notes.

Therefore, I have captured this BZ as the official request and tracking to make this change pending the product teams approval.

Comment 1 Thomas Segismont 2014-09-12 16:01:08 UTC
Clearing needinfo, was a mistake

Comment 2 Thomas Segismont 2014-09-15 09:55:11 UTC
Fixed in master

commit ac9a5507af34a31947f92265a9ce62755102257e
Author: Thomas Segismont <tsegismo@redhat.com>
Date:   Mon Sep 15 11:53:55 2014 +0200

    Changed "quotingEnabled" attribute default value
    Made ScriptDiscoveryComponent implement ResourceUpgradeFacet
    Tracking upgraded resources with an hidden plugin config property ("quotingEnabledNeedsUpgrade")
    Logging message when a Script Server component is started and "quotingEnabled" property is missing
    Updated the "getConfiguredEscapeCharacter" method of the Script Server component class

Comment 3 Libor Zoubek 2014-09-24 13:01:22 UTC
branch:  release/jon3.3.x
link:    https://github.com/rhq-project/rhq/commit/69bc9048b
time:    2014-09-24 15:00:53 +0200
commit:  69bc9048b19cb7d93a76a60a7bac0617ca4a4c25
author:  Thomas Segismont - tsegismo@redhat.com
message: Bug 1062789 - Set quoting to enabled for newly created script server
         resources
         Changed "quotingEnabled" attribute default value Made
         ScriptDiscoveryComponent implement ResourceUpgradeFacet 
         Tracking upgraded resources with an hidden plugin config
         property ("quotingEnabledNeedsUpgrade") Logging message when a
         Script Server component is started and "quotingEnabled"
         property is missing Updated the "getConfiguredEscapeCharacter"
         method of the Script Server component class
         (cherry picked from commit
         ac9a5507af34a31947f92265a9ce62755102257e) Signed-off-by: Libor
         Zoubek <lzoubek@redhat.com>

Comment 4 Simeon Pinder 2014-10-01 21:32:55 UTC
Moving to ON_QA as available for test with build:
https://brewweb.devel.redhat.com/buildinfo?buildID=388959

Comment 5 Sunil Kondkar 2014-10-14 14:22:38 UTC
Verified on JON 3.3 ER04

Imported new script server resource and verified that 'Enable Quoting of Arguments' has value Yes. Verified that the quoting of arguments work in execute operation on script server resource.


Note You need to log in before you can comment on or make changes to this bug.